Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class RescaleNodeDataEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.ComplexDocumentEdit
              info.bioinfweb.treegraph.document.undo.edit.RescaleNodeDataEdit

All Implemented Interfaces:
  javax.swing.undo.UndoableEdit

    public class RescaleNodeDataEdit

extends ComplexDocumentEdit

Field Summary
`private NodeDataAdapter` | `adapter`
`private double` | `addend`
`private double` | `factor`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`RescaleNodeDataEdit(Document document, NodeDataAdapter adapter, double factor, double addend)`

Method Summary
`java.lang.String` | `getPresentationName()`
`protected void` | `performRedo()`
`void` | `rescale(Node root)`

Methods inherited from class info.bioinfweb.treegraph.document.undo.ComplexDocumentEdit
`findEquivilant, findEquivilant, redo, undo`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adapter

    private NodeDataAdapter adapter

### factor

    private double factor

### addend

    private double addend

Constructor Detail

### RescaleNodeDataEdit

    public RescaleNodeDataEdit(Document document,
                               NodeDataAdapter adapter,
                               double factor,
                               double addend)

Method Detail

### rescale

    public void rescale(Node root)

### performRedo

    protected void performRedo()

  Specified by:
    `performRedo` in class `ComplexDocumentEdit`

### getPresentationName

    public java.lang.String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD